Skip to main content
POST
/
api
/
hf-buckets
/
upload
Import Hugging Face bucket objects
curl --request POST \
  --url https://api-prod.nomadicml.com/api/hf-buckets/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bucket": "<string>",
  "files": [
    "<string>"
  ],
  "integration_id": "<string>",
  "folder_id": "<string>",
  "scope": "user"
}
'
{
  "import_job_id": "<string>",
  "status": "<string>",
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Body

application/json
bucket
string
required
files
string[]
required
integration_id
string
folder_id
string
scope
enum<string>
Available options:
user,
org

Response

Successful response.

import_job_id
string
status
string
total
integer